<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<center><table cellpadding='0' cellspacing='0' width='766'>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='98%'>\n<tr>\n";
		echo "<td align='center' class='logo'><p><img src='".THEME."images/logo.png' alt='RuneScape' /></p></td>\n";
	echo "</tr>\n</table>\n";
	

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		echo "<td class='scroll-header-left'></td>\n";
		echo "<td class='scroll-header'></td>\n";
		echo "<td class='scroll-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='98%' class='$main_style'>\n<tr>\n";
		echo "<td align='center' class='scroll-left'><br></br></td>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
		echo "<td align='center' class='scroll-right'><br></br></td>\n";
	
	//Footer
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='98%'>\n<tr>\n";
	echo "<td class='sub-footer-left'></td>\n";
	echo "<td align='left' class='sub-footer'>RuneScape by <a href='http://www.viktor-36.tym.sk' target='blank' class='side'>Viktor 36</a> &amp; <a href='http://www.jagex.com/' target='blank' class='side'>Jagex Ltd</a></td>";
	echo "<td align='right' class='sub-footer'>".showcounter()."</td>\n";
	echo "<td class='sub-footer-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
        echo "<td class='footer-left'></td>\n";
	echo "<td align='center' class='main-footer'> 
<table cellpadding='0' cellspacing='0' width='90%'>\n<tr>\n<td align='center' width='45%'>
".stripslashes($settings['footer']);
	if (!$license) { 
echo "</td><td align='center' width='45%'><a href='http://www.runescape.com' target='blank' class='side'>Runescape</a>  is a trademark of Jagex  1999 - ".date("Y")." Andrew Gower.<br />
\n".showcopyright(); }
	echo "</td>\n</tr>\n</table>\n</td>\n";
	echo "<td class='footer-right'></td>\n";
	echo "</tr>\n</table><p><a href='http://jigsaw.w3.org/css-validator/check/referer'>
        <img style='border:0;width:88px;height:31px' src='http://jigsaw.w3.org/css-validator/images/vcss' alt='Open CSS!' /></a>
        <a href='http://validator.w3.org/check?uri=referer'>
        <img style='border:0;width:88px;height:31px' src='http://www.w3.org/Icons/valid-xhtml10' alt='Valid XHTML 1.0 Transitional' /></a></p>
        </center>\n";
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td style='height:0px;background-color:#000;'></td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td style='height:0px;background-color:#000;'></td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
